import { EventEmitter, OnInit } from "@angular/core";
import { FormControl } from "@angular/forms";
import { NguDatatablePaginationService } from "./ngu-datatable-pagination.service";
export declare class NguDatatablePaginationComponent implements OnInit {
    private paginationService;
    entries: number;
    currentPageSize: number;
    currentPage: number;
    paginationChange: EventEmitter<void>;
    possiblePageSize: number[];
    selectFormControl: FormControl;
    private destroy$;
    constructor(paginationService: NguDatatablePaginationService);
    ngOnInit(): void;
    getFirstRowBasedOnPage(): number;
    getLastRowBasedOnPage(): number;
    decreaseCurrentPage(): void;
    onChange(): void;
    increaseCurrentPage(): void;
    getMaxPages(): number;
    getPages(): number[];
    isPageVisible(page: number): boolean;
}
