import { EventEmitter, QueryList } from "@angular/core";
import { TableContext } from "./model/data.model";
import { SortDirection } from "./model/sort.model";
import { NguDatatableColumn } from "./ngu-datatable-column/ngu-datatable-column.component";
import { NguDatatablePaginationService } from "./ngu-datatable-pagination/ngu-datatable-pagination.service";
export declare class NguDatatableComponent {
    private paginationService;
    set data(dataSource: any[]);
    get data(): any[];
    context: TableContext;
    SortDirection: typeof SortDirection;
    selectAllEnabled: boolean;
    columns: QueryList<NguDatatableColumn>;
    rowClick: EventEmitter<any>;
    constructor(paginationService: NguDatatablePaginationService);
    onPaginationChange(): void;
    private setVisibleData;
    selectAllData(checked: boolean): void;
    selectRow(checked: boolean, row: any): void;
    isRowSelected(row: any): boolean;
    onSortClick(column: NguDatatableColumn): void;
    getSortArrow(column: NguDatatableColumn): "" | "headerSortDown" | "headerSortUp";
}
